import DashboardTransportationAssistanceComponent from "@/components/dashboard/transportation-assistance";
import {parse} from "next-useragent";

export default function TransportationAssistance() {
    return (
        <DashboardTransportationAssistanceComponent/>
    );
}

export async function getServerSideProps({req, locale}) {
    const {isBot} = parse(req.headers["user-agent"]);
    return {
        props: {
            messages: (await import(`&/locales/${locale}/app.json`)).default,
            title: "Dashboard.transportation_assistance",
            isBot,
            locale,
            layout: {name: 'DashboardLayout', props: {permissions: ["manage_transportation_navgan"]}}
        },
    };
}
